Ultimate Facebook Error

Hello,

I was trying to install Ultimate Facebook extension and I got the following error;
Fatal error: Uncaught exception 'Exception' with message 'Facebook needs the CURL PHP extension.' in /var/www/html/wp-content/plugins/wpmu-dev-facebook/lib/external/base_facebook.php:19 Stack trace: #0 /var/www/html/wp-content/plugins/wpmu-dev-facebook/lib/external/facebook.php(18): require_once() #1 /var/www/html/wp-content/plugins/wpmu-dev-facebook/wpmu-dev-facebook.php(121): require_once('/var/www/html/w...') #2 /var/www/html/wp-admin/includes/plugin.php(1934): include('/var/www/html/w...') #3 /var/www/html/wp-admin/plugins.php(164): plugin_sandbox_scrape('wpmu-dev-facebo...') #4 {main} thrown in /var/www/html/wp-content/plugins/wpmu-dev-facebook/lib/external/base_facebook.php on line 19

Can you please help me with that, thanks!

    Adam Czajczyk

    Hello Alp,

    I hope you're well today and thank you for your question!

    This message means that the PHP on your server is not configured to use CURL extension. CURL is a PHP library that allows PHP scripts fetch contents of external URLs and is necessary for the plugin to work.

    I admit that this is extremely rare as on most servers (even the simplest shared hosting accounts) CURL is available. I suggest you get in touch with your host and asked them if CURL is available for your hosting account and if not if they could enable it for you.

    Let me know please about their answer.

    Best regards,
    Adam